package com.css.simulation.resource.video.controller;

import api.common.pojo.common.ResponseBodyVO;
import api.common.util.LinuxUtil;
import com.css.simulation.resource.video.service.VideoService;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.io.IOException;

@RestController
public class VideoController {

    @Resource
    VideoService videoService;


    /**
     * 接受 xosc 文件
     */
    @PostMapping(value = "/generate", consumes = MediaType.MULTIPART_FORM_DATA_VALUE)
    public ResponseBodyVO<String> generateVideo(String projectId, String projectType, String taskId) {
        return videoService.generateVideo(projectId, projectType, taskId);
    }


    /**
     * 接受 xosc 文件
     */
    @PostMapping(value = "/test", consumes = MediaType.MULTIPART_FORM_DATA_VALUE)
    public void testGenerateVideo() throws IOException {
        LinuxUtil.execute("/root/simulation-cloud/esmini/build/EnvironmentSimulator/code-examples/image-capture/image-capture " +
                "/root/simulation-cloud/esmini/resources/xosc/lane_change_crest.xosc " +
                "/root/simulation-cloud/esmini/test/screenshot");
    }


}
